+ Reply to Thread
Page 1 of 2 12 LastLast
Results 1 to 10 of 13

Thread: Create/edit account problem

  1. #1
    Senior Member
    Join Date
    Jan 2021
    Location
    Everywhere on world
    Posts
    111

    Question Create/edit account problem

    Hello Flynax,

    When I created an account via admin-cp, I was suddenly logged out. During the next attempts I got error 500 several times.

    If I now click on edit (see image 1) I only see the category but cannot edit the account.

    Not working! Bluehost said it's not a hardware error but a software error.

    1.jpg
    Best wishes, Guenter
    Jack of all trades for our website
    Everywhere on world

  2. #2
    Flynax developer Rudi's Avatar
    Join Date
    Dec 2014
    Location
    Planet Earth
    Posts
    3,169
    Hello,

    Try to clear your browser cookies and log in again.

    If there weren't any modifications it's probably a session issue related to the server settings

  3. #3
    Senior Member
    Join Date
    Jan 2021
    Location
    Everywhere on world
    Posts
    111
    Hello Rudi,

    I cleared my browser cookies and tried again. No success. Also no success with other browsers (Firefox, Chromium, Opera and Chrome).

    I didn't make any changes and the problem suddenly appeared. I had created an account about 20 minutes earlier and it worked perfectly. Then the error came!

    I'm totally at a loss! What can I do?
    Best wishes, Guenter
    Jack of all trades for our website
    Everywhere on world

  4. #4
    Senior Member
    Join Date
    Jan 2021
    Location
    Everywhere on world
    Posts
    111
    Hello Rudi,

    By chance I discovered that bluehost no longer provides php version 7.4 because it would be a security risk. Bluehost simply upgraded our webspace to PHP version 8.2 without informing us. Only PHP 8.2 and 8.3 are still available.

    What can I do now to get the website up and running again?

    I need a quick solution!!
    Best wishes, Guenter
    Jack of all trades for our website
    Everywhere on world

  5. #5
    Senior Member
    Join Date
    Dec 2023
    Posts
    161
    Do you have a PHP Selector or multi-php selector under your control panel at bluehost?

    If you were running Cloudlinux OS on the server, you could use the PHP Selector to choose different php versions; they patch older php versions to keep them secure so you don't have to switch before all software is fully compatible. In the old days, Blue Host used to offer some kind of php selector option. Ask BH support if you can select a different php version right now for an immediate fix. (I.E. did they simply change the default version, or did they really eliminate all non 8.x versions???)
    Last edited by Horizon; February 21, 2024 at 05:17 PM.

  6. #6
    Senior Member
    Join Date
    Jan 2021
    Location
    Everywhere on world
    Posts
    111
    Hello Horizon,

    Yes I have the multi-php selector in the cpanel at bluehost!

    But there is only php 8 to choose (see pic2). All other php versions is killed by bluehost. I had a chat for hours with them but nothing ist possible.

    2.png
    Best wishes, Guenter
    Jack of all trades for our website
    Everywhere on world

  7. #7
    Flynax developer Rudi's Avatar
    Join Date
    Dec 2014
    Location
    Planet Earth
    Posts
    3,169
    The only way is to upgrade your script to 4.9.2

  8. #8
    Senior Member
    Join Date
    Jan 2021
    Location
    Everywhere on world
    Posts
    111
    I almost thought so.

    Can I find update instructions in the customer area or in the manuals?

    Does the script run under php 8.3 or is a lower version necessary?

    Will the update destroy all custom changes?

    Thank you for information.
    Best wishes, Guenter
    Jack of all trades for our website
    Everywhere on world

  9. #9
    Flynax developer Rudi's Avatar
    Join Date
    Dec 2014
    Location
    Planet Earth
    Posts
    3,169
    You can find this link via your account area: https://www.flynax.com/files/manuals...date-guide.pdf

    4.9.2 supports PHP 8.2

  10. #10
    Senior Member
    Join Date
    Jan 2021
    Location
    Everywhere on world
    Posts
    111
    Hello Rudi,

    I updated to version 4.9.2 and set PHP to version 8.2

    But MySQL reported the command on line 59: CREATE PROCEDURE listingTypeMenuColumn() ... as Error SQL query.

    Now I can see the customer accounts again, but I still can't edit them. When I click on edit I get HTTP ERROR 500.

    What now?
    Best wishes, Guenter
    Jack of all trades for our website
    Everywhere on world

+ Reply to Thread